<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'realestate',

    /*
     * Package.
     */
    'package'   => 'property',

    /*
     * Modules.
     */
    'modules'   => ['property'],

    
    'property'       => [
        'model' => [
            'model'                 => \Realestate\Property\Models\Property::class,
            'table'                 => 'properties',
            'presenter'             => \Realestate\Property\Repositories\Presenter\PropertyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'refno',  'contact_id',  'agent_id',  'country_id',  'state_id',  'district_id',  'city_id',  'location_id',  'category_id',  'title',  'description',  'price',  'rent_frequency',  'bedrooms',  'bathrooms',  'garages',  'garage_size',  'buildup_area',  'buildarea_type',  'land_area',  'landarea_type',  'furnishing',  'features',  'amenities',  'portals',  'address',  'locality',  'zip_code',  'landmarks',  'hot',  'visibility',  'images',  'video_link',  'video360',  'expire_date',  'source',  'property_for',  'prop_status',  'build_status',  'slug',  'status',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'property/property',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Property',
            'module'    => 'Property',
        ],

    ],
];
