<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePropertiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: properties
         */
        Schema::create('properties', function ($table) {
            $table->increments('id');
            $table->string('refno', 255)->nullable();
            $table->integer('contact_id')->nullable();
            $table->integer('agent_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('district_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->string('title', 100)->nullable();
            $table->text('description')->nullable();
            $table->integer('price')->nullable();
            $table->enum('rent_frequency', ['Yearly','Monthly','Weekly','Daily'])->nullable();
            $table->integer('bedrooms')->nullable();
            $table->integer('bathrooms')->nullable();
            $table->integer('garages')->nullable();
            $table->float('garage_size')->nullable();
            $table->increments('buildup_area')->nullable();
            $table->enum('buildarea_type', ['CEN','ACR','Sq ft'])->nullable();
            $table->increments('land_area')->nullable();
            $table->enum('landarea_type', ['CEN','ACR','Sq ft'])->nullable();
            $table->string('furnishing', 255)->nullable();
            $table->text('features')->nullable();
            $table->text('amenities')->nullable();
            $table->text('portals')->nullable();
            $table->text('address')->nullable();
            $table->string('locality', 255)->nullable();
            $table->integer('zip_code')->nullable();
            $table->string('landmarks', 255)->nullable();
            $table->tinyInteger('hot')->nullable();
            $table->enum('visibility', ['featured','premium'])->nullable();
            $table->text('images')->nullable();
            $table->string('video_link', 255)->nullable();
            $table->string('video360', 255)->nullable();
            $table->date('expire_date')->nullable();
            $table->text('source')->nullable();
            $table->enum('property_for', ['Rent','Sale','PG','Lease'])->nullable();
            $table->string('prop_status', 255)->nullable();
            $table->enum('build_status', ['completed','underconstruction'])->nullable();
            $table->string('slug', 255)->nullable();
            $table->enum('status', ['Published','Pending','Draft'])->nullable();
            $table->string('upload_folder', 250)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('properties');
    }
}
