<?php

namespace Realestate\Property\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PropertyTransformer extends TransformerAbstract
{
    public function transform(\Realestate\Property\Models\Property $property)
    {
        return [
            'id'                => $property->getRouteKey(),
            'key'               => [
                'public'    => $property->getPublicKey(),
                'route'     => $property->getRouteKey(),
            ], 
            'id'                => $property->id,
            'refno'             => $property->refno,
            'contact_id'        => $property->contact_id,
            'agent_id'          => $property->agent_id,
            'country_id'        => $property->country_id,
            'state_id'          => $property->state_id,
            'district_id'       => $property->district_id,
            'city_id'           => $property->city_id,
            'location_id'       => $property->location_id,
            'category_id'       => $property->category_id,
            'title'             => $property->title,
            'description'       => $property->description,
            'price'             => $property->price,
            'rent_frequency'    => $property->rent_frequency,
            'bedrooms'          => $property->bedrooms,
            'bathrooms'         => $property->bathrooms,
            'garages'           => $property->garages,
            'garage_size'       => $property->garage_size,
            'buildup_area'      => $property->buildup_area,
            'buildarea_type'    => $property->buildarea_type,
            'land_area'         => $property->land_area,
            'landarea_type'     => $property->landarea_type,
            'furnishing'        => $property->furnishing,
            'features'          => $property->features,
            'amenities'         => $property->amenities,
            'portals'           => $property->portals,
            'address'           => $property->address,
            'locality'          => $property->locality,
            'zip_code'          => $property->zip_code,
            'landmarks'         => $property->landmarks,
            'hot'               => $property->hot,
            'visibility'        => $property->visibility,
            'images'            => $property->images,
            'video_link'        => $property->video_link,
            'video360'          => $property->video360,
            'expire_date'       => $property->expire_date,
            'source'            => $property->source,
            'property_for'      => $property->property_for,
            'prop_status'       => $property->prop_status,
            'build_status'      => $property->build_status,
            'slug'              => $property->slug,
            'status'            => $property->status,
            'upload_folder'     => $property->upload_folder,
            'deleted_at'        => $property->deleted_at,
            'created_at'        => $property->created_at,
            'updated_at'        => $property->updated_at,
            'url'               => [
                'public'    => trans_url('property/'.$property->getPublicKey()),
                'user'      => guard_url('property/property/'.$property->getRouteKey()),
            ], 
            'status'            => trans('app.'.$property->status),
            'created_at'        => format_date($property->created_at),
            'updated_at'        => format_date($property->updated_at),
        ];
    }
}